//
//  AppclicksDebug.h
//  Appclicks Library
//
//  Copyright 2009-2012 Appclicks LLC. All rights reserved.
//

/**
 * AppclicksDebug.h allows you to debug Appclicks integration in your application.
 */

@interface AppclicksDebug : NSObject {}

/**
 * Appclicks sends a system profile when it contacts appclicks.com. This is the same profile that is sent.
 * @return Dictionary of system properties
 */
+ (NSDictionary *)systemProfile;

/**
 * Is Appclicks logging? Appclicks can log messages to Console.app for debugging insight.
 * @return Boolean for whether Appclicks is logging.
 */
+ (BOOL)isLoggingEnabled;

/**
 * Appclicks can log messages to Console.app for debugging insight.
 * @param isLoggingEnabled Is Appclicks logging debug messages?
 */
+ (void)setLoggingEnabled:(BOOL)isLoggingEnabled;

@end
